PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Structures | Macros
permission.h File Reference
Core API » Permission

`pipewire/permission.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_permission

## Macros
#define | PW_PERM_R 0400
| object can be seen and events can be received
#define | PW_PERM_W 0200
| methods can be called that modify the object
#define | PW_PERM_X 0100
| methods can be called on the object.
#define | PW_PERM_M 0010
| metadata can be set on object, Since 0.3.9
#define | PW_PERM_L 0020
| a link can be made between a node that doesn't have permission to see the other node, Since 0.3.77
#define | PW_PERM_RW (PW_PERM_R|PW_PERM_W)
#define | PW_PERM_RWX (PW_PERM_RW|PW_PERM_X)
#define | PW_PERM_RWXM (PW_PERM_RWX|PW_PERM_M)
#define | PW_PERM_RWXML (PW_PERM_RWXM|PW_PERM_L)
#define | PW_PERM_IS_R(p)
#define | PW_PERM_IS_W(p)
#define | PW_PERM_IS_X(p)
#define | PW_PERM_IS_M(p)
#define | PW_PERM_IS_L(p)
#define | PW_PERM_ALL PW_PERM_RWXM
#define | PW_PERM_INVALID (uint32_t)(0xffffffff)
#define | PW_PERMISSION_INIT(id, p)
#define | PW_PERMISSION_FORMAT "%c%c%c%c%c"
#define | PW_PERMISSION_ARGS(permission)

## Detailed Description

`pipewire/permission.h`